List prices
curl --request GET \
--url https://api.assembly.com/v1/prices \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.assembly.com/v1/prices"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.assembly.com/v1/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"amount": 5000,
"createdAt": "<string>",
"creatorId": "<string>",
"currency": "usd",
"data": "<string>",
"id": "<string>",
"identityId": "<string>",
"interval": "month",
"intervalCount": 1,
"isUsed": false,
"object": "<string>",
"portalId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"previousAttributes": {},
"productId": "d1f8c9e2-3b4a-4c5d-9e6f-7a8b9c0d1e2f",
"ref": "<string>",
"type": "recurring",
"updatedAt": "<string>"
}
],
"nextToken": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}Prices
List prices
Returns a paginated list of prices. When productId is supplied, only prices belonging to that product are returned; otherwise all prices for the portal are returned. Requires internal-user privileges.
GET
/
v1
/
prices
List prices
Authorizations
Query Parameters
Filter prices by product ID.
Maximum number of records to return.
Pagination cursor returned by a previous request.
⌘I